Skip to main content
POST

Request body schema

View request body schema

Authorizations

authorization
string
header
required

GST taxpayer access token returned by Verify OTP.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

Path Parameters

year
integer<int32>
required
month
integer<int32>
required

Body

application/json

Sample Payload. Clear to manually input values

fp
string

The fp value provided in the request.

gt
number

The gt value provided in the request.

cur_gt
number

The cur gt value provided in the request.

b2b
object[]

The b2b value provided in the request.

b2ba
object[]

The b2ba value provided in the request.

b2cl
object[]

The b2cl value provided in the request.

b2cla
object[]

The b2cla value provided in the request.

cdnr
object[]

The cdnr value provided in the request.

cdnra
object[]

The cdnra value provided in the request.

b2cs
object[]

The b2cs value provided in the request.

b2csa
object[]

The b2csa value provided in the request.

exp
object[]

The exp value provided in the request.

expa
object[]

The expa value provided in the request.

hsn
object
nil
object

The nil value provided in the request.

txpd
object[]

The txpd value provided in the request.

txpda
object[]

The txpda value provided in the request.

at
object[]

The at value provided in the request.

ata
object[]

The ata value provided in the request.

doc_issue
object

The doc issue value provided in the request.

cdnur
object[]

The cdnur value provided in the request.

cdnura
object[]

The cdnura value provided in the request.

ecom
object
ecoma
object
supeco
object

The supeco value returned by GSTN.

supecoa
object

The supecoa value returned by GSTN.

Response

200 - application/json

GSTN success or business-error response. GSTN returns both variants with HTTP 200.

A GSTN success or GSTN business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

The HTTP status code reported in the response body.

Available options:
200
Example:

200

timestamp
integer<int64>
required

The response timestamp in Unix epoch milliseconds.

Example:

1763446641000

transaction_id
string
required

The transaction identifier used to trace the request.

Example:

"41bb8041-fb83-4654-8d75-85a19f329158"

data
object
required

The GSTN success wrapper.